FieldTermStack.TermInfo (Lucene 10.5.0 highlighter API)
Description: declaration: package: org.apache.lucene.search.vectorhighlight, class: FieldTermStack, class: TermInfo

Package org.apache.lucene.search.vectorhighlight

# Class FieldTermStack.TermInfo

java.lang.Object
org.apache.lucene.search.vectorhighlight.FieldTermStack.TermInfo

All Implemented Interfaces:
  `Comparable<FieldTermStack.TermInfo>`

Enclosing class:
  `FieldTermStack`

public static class FieldTermStack.TermInfo extends Object implements Comparable<FieldTermStack.TermInfo>
Single term with its position/offsets in the document and IDF weight. It is Comparable but considers only position.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(FieldTermStack.TermInfo o)`
  `boolean`
  `equals(Object obj)`
  `int`
  `getEndOffset()`
  `FieldTermStack.TermInfo`
  `getNext()`
  Returns the next TermInfo at this same position.
  `int`
  `getPosition()`
  `int`
  `getStartOffset()`
  `String`
  `getText()`
  `float`
  `getWeight()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getNext

    public FieldTermStack.TermInfo getNext()
    Returns the next TermInfo at this same position. This is a circular list!

  - ### getText

    public String getText()

  - ### getStartOffset

    public int getStartOffset()

  - ### getEndOffset

    public int getEndOffset()

  - ### getPosition

    public int getPosition()

  - ### getWeight

    public float getWeight()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### compareTo

    public int compareTo(FieldTermStack.TermInfo o)
    Specified by:
      `compareTo` in interface `Comparable<FieldTermStack.TermInfo>`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`